;
;   Floating point routines for Commodore plus/4
;   Copyright (C) 2004 Ingo D. Rullhusen <d01c@uni-bremen.de>
;
;   This program is free software; you can redistribute it and/or modify
;   it under the terms of the GNU General Public License as published by
;   the Free Software Foundation; either version 2 of the License, or
;   (at your option) any later version.
;
;   This program is distributed in the hope that it will be useful,
;   but WITHOUT ANY WARRANTY; without even the implied warranty of
;   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;   GNU General Public License for more details.
;
;   You should have received a copy of the GNU General Public License
;   along with this program; if not, write to the Free Software
;   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
;

        .fopt           compiler,"cc65 v 2.10.0"
        .setcpu         "6502"
        .autoimport     on
        .export         _ROM_jsr
        .export         _ROM_jsr_ator


.segment        "BSS"

.org $57

_FPS:
        .res    26,$00

.reloc

.org $3b

_TXTPTR:
        .res     2,$00

.reloc

.org $100

_FBUFFR:
        .res    16,$00

.reloc



; ---------------------------------------------------------------
; void __near__ ROM_jsr (unsigned int)
; ---------------------------------------------------------------

.segment        "LOWCODE"

.proc   _ROM_jsr: near

.segment        "LOWCODE"

        ldy     #$01
        jsr     ldaxysp
	sta     romj+1
	stx     romj+2

	sta     $ff3e
romj:	jsr     $ffff    ; address self modified
	sta     $ff3f

        jsr     incsp2
        rts

.endproc



; ---------------------------------------------------------------
; void __near__ ROM_jsr_ator ()
; ---------------------------------------------------------------

.segment	"LOWCODE"

.proc	_ROM_jsr_ator: near

.segment	"LOWCODE"

	sta     $ff3e
	jsr     $0479
 	jsr     $a37f
	sta     $ff3f
	rts

.endproc
